> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Update the Global Orchestration for an Event Orchestration

`PUT https://api.pagerduty.com/event_orchestrations/{id}/global`

Update the Global Orchestration for an Event Orchestration.

Global Orchestration Rules allows you to create a set of Event Rules. These rules evaluate against all Events sent to an Event Orchestration. When a matching rule is found, it can modify and enhance the event and can route the event to another set of Global Rules within this Orchestration for further processing.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#event-orchestrations)

Scoped OAuth requires: `event_orchestrations.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of an Event Orchestration. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`)

Update Global Orchestration rules. Omitted rules and rule details are deleted.

| Field | Type | Required | Description |
|---|---|---|---|
| `orchestration_path` | object | yes |  |
| `orchestration_path.type` |  |  | Indicates that these are a set of "global" rules. Default: `global`. |
| `orchestration_path.parent` | object |  |  |
| `orchestration_path.parent.id` |  |  | ID of the Global Event Orchestration these Global Rules belongs to. |
| `orchestration_path.parent.type` |  |  | One of: `event_orchestration_reference`. |
| `orchestration_path.sets` |  |  | You must define at least a "start" set, but you can also define any number of additional sets that are routed to by other rules to form a directional graph. |
| `orchestration_path.catch_all` | object |  | When none of the rules match an event, the event will be routed according to the catch_all settings. |
| `orchestration_path.catch_all.actions` | object |  |  |
| `orchestration_path.catch_all.actions.suppress` | boolean |  | If true, the resulting alert is suppressed. Suppressed alerts will not trigger an incident. |
| `orchestration_path.catch_all.actions.suspend` | integer |  | The number of seconds to suspend the resulting alert before triggering. This effectively pauses incident notifications. If a resolve event arrives before the alert triggers then PagerDuty won't create an incident for this the resulting alert. |
| `orchestration_path.catch_all.actions.drop_event` | boolean |  | If true, this event will be dropped. Dropped events will not trigger or resolve an alert or an incident. Dropped events will not be evaluated against router rules. |
| `orchestration_path.catch_all.actions.priority` | string |  | The ID of the priority you want to set on resulting incident. You can find the list of priority IDs for your account by calling the priorities endpoint. |
| `orchestration_path.catch_all.actions.escalation_policy` | string |  | The ID of the Escalation Policy you want to assign incidents to. Event rules with this action will override the Escalation Policy already set on a Service's settings, with what is configured by this action. |
| `orchestration_path.catch_all.actions.annotate` | string |  | Add this text as a note on the resulting incident. AIOps users can additionally use the {{event}} variable to include elements of the event payload in the note. For PDRP customers, this feature is branded **Signal Intelligence** in the PagerDuty product UI. The API field names and values (e.g. `aiops`) are unchanged. |
| `orchestration_path.catch_all.actions.severity` | string |  | Set the severity of the resulting alert. One of: `info`, `error`, `warning`, `critical`. |
| `orchestration_path.catch_all.actions.event_action` | string |  | Set whether the resulting alert status is trigger or resolve. One of: `trigger`, `resolve`. |
| `orchestration_path.catch_all.actions.variables` | array of object |  | Populate variables from event payloads and use those variables in other event actions. |
| `orchestration_path.catch_all.actions.variables[].name` | string |  | The name of the variable. |
| `orchestration_path.catch_all.actions.variables[].path` | string |  | Path to a field in an event, in dot-notation. |
| `orchestration_path.catch_all.actions.variables[].type` | string |  | The type of operation to populate the variable. Currently only Regex-based variable extraction is supported. One of: `regex`. |
| `orchestration_path.catch_all.actions.variables[].value` | string |  | A RE2 regular expression. If it contains one or more capture groups, their values will be extracted and appended together. If it contains no capture groups, the whole match is used. |
| `orchestration_path.catch_all.actions.extractions` | array of one of: object \| object |  | Dynamically extract values to set and modify new and existing PD-CEF fields. |
| `orchestration_path.catch_all.actions.extractions[].target` | string |  | (option 1) The PD-CEF field that will be set with the value from the template. |
| `orchestration_path.catch_all.actions.extractions[].template` | string |  | (option 1) A value that will be used to populate the target PD-CEF field. You can include variables extracted from the payload by using string interpolation. |
| `orchestration_path.catch_all.actions.extractions[].target` | string |  | (option 2) The PD-CEF field that will be set with the value from the regex. |
| `orchestration_path.catch_all.actions.extractions[].regex` | string |  | (option 2) A RE2 regular expression. If it contains one or more capture groups, their values will be extracted and appended together. If it contains no capture groups, the whole match is used. |
| `orchestration_path.catch_all.actions.extractions[].source` | string |  | (option 2) The path to the event field where the regex will be applied to extract a value. |
| `orchestration_path.catch_all.actions.automation_actions` | array of object |  | Create a Webhoook associated with the resulting incident. |
| `orchestration_path.catch_all.actions.automation_actions[].name` | string |  | The name of the Webhook. |
| `orchestration_path.catch_all.actions.automation_actions[].url` | string |  | The API endpoint where PagerDuty's servers will send the webhook request. |
| `orchestration_path.catch_all.actions.automation_actions[].auto_send` | boolean |  | When true, PagerDuty's servers will automatically send this webhook request as soon as the resulting incident or alert is created. When false, your incident responder will be able to manually trigger the Webhook via the PagerDuty website & mobile app. Default: `false`. |
| `orchestration_path.catch_all.actions.automation_actions[].headers` | array of object |  | Specify custom key/value pairs that'll be sent with the webhook request as request headers. |
| `orchestration_path.catch_all.actions.automation_actions[].headers[].key` | string |  |  |
| `orchestration_path.catch_all.actions.automation_actions[].headers[].value` | string |  | AIOps users can additionally use the {{event}} variable to include elements of the event payload in the header value. For PDRP customers, this feature is branded **Signal Intelligence** in the PagerDuty product UI. The API field names and values (e.g. `aiops`) are unchanged. |
| `orchestration_path.catch_all.actions.automation_actions[].trigger_types` | array of string |  | The Webhook will be associated (or automatically triggered, if `auto_send` is `true`) with the incident, whenever an alert reaches the specified state Note: `auto_send` must be `true` for trigger types of `alert_suppressed` and `alert_suspended` Min items: 1. Max items: 1. Items must be unique. |
| `orchestration_path.catch_all.actions.automation_actions[].parameters` | array of object |  | Specify custom key/value pairs that'll be included in the webhook request's JSON payload. |
| `orchestration_path.catch_all.actions.automation_actions[].parameters[].key` | string |  |  |
| `orchestration_path.catch_all.actions.automation_actions[].parameters[].value` | string |  | AIOps users can additionally use the {{event}} variable to include elements of the event payload in the parameter value. |
| `orchestration_path.catch_all.actions.incident_custom_field_updates` | array of object |  | Configure custom field updates for the incident. |
| `orchestration_path.catch_all.actions.incident_custom_field_updates[].id` | string |  | Unique identifier for the custom field resource. You can find the list of IDs by calling the List Custom Fields endpoint. |
| `orchestration_path.catch_all.actions.incident_custom_field_updates[].value` | string |  | A value that will be used to populate the specified Incident Custom Field. AIOps users can additionally use the {{event}} variable to include elements of the event payload in the custom field value. For PDRP customers, this feature is branded **Signal Intelligence** in the PagerDuty product UI. The API field names and values (e.g. `aiops`) are unchanged. |

Example: Example Request

```json
{
  "orchestration_path": {
    "sets": [
      {
        "id": "start",
        "rules": [
          {
            "label": "Always apply some consistent event transformations to all events",
            "id": "c91f72f3",
            "conditions": [],
            "actions": {
              "variables": [
                {
                  "name": "hostname",
                  "path": "event.component",
                  "value": "hostname: (.*)",
                  "type": "regex"
                }
              ],
              "extractions": [
                {
                  "template": "{{variables.hostname}}",
                  "target": "event.custom_details.hostname"
                },
                {
                  "source": "event.source",
                  "regex": "www (.*) service",
                  "target": "event.source"
                }
              ],
              "incident_custom_field_updates": [
                {
                  "id": "PEXCK89",
                  "value": "#my-team-channel"
                },
                {
                  "id": "PN1C4A2",
                  "value": "{{event.timestamp}}"
                }
              ],
              "route_to": "step-two"
            }
          }
        ]
      },
      {
        "id": "step-two",
        "rules": [
          {
            "label": "All critical alerts should be treated as P1 incidents",
            "id": "7c54529d",
            "conditions": [
              {
                "expression": "event.severity matches 'critical'"
              }
            ],
            "actions": {
              "priority": "P0IN2KQ",
              "suppress": false,
              "incident_custom_field_updates": [
                {
                  "id": "PEXCK89",
                  "value": "#p1-incident-response"
                }
              ]
            }
          },
          {
            "label": "Drop all events from the very-noisy monitoring tool",
            "id": "1f6d9a33",
            "conditions": [
              {
                "expression": "event.source matches part 'very-noisy'"
              }
            ],
            "actions": {
              "drop_event": true
            }
          },
          {
            "label": "Assign all database related incidents to the Database Team's escalation policy",
            "id": "4314d9ce",
            "conditions": [
              {
                "expression": "event.source matches 'prod-db'"
              }
            ],
            "actions": {
              "escalation_policy": "PEYSGVF"
            }
          },
          {
            "label": "Never bother the on-call for info-level events outside of work hours",
            "id": "cd770384",
            "conditions": [
              {
                "expression": "event.severity matches 'info' and not (now in Mon,Tue,Wed,Thu,Fri 09:00:00 to 17:00:00 America/Los_Angeles)"
              }
            ],
            "actions": {
              "suppress": true
            }
          }
        ]
      }
    ],
    "catch_all": {
      "actions": {
        "suppress": true
      },
      "incident_custom_field_updates": [
        {
          "id": "PEXCK89",
          "value": "#general-incident-notifications"
        }
      ]
    }
  }
}
```

## Response 200

The Global Orchestration Rules object.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `orchestration_path` | object | yes |  |
| `orchestration_path.type` |  |  | Indicates that these are a set of "global" rules. Default: `global`. |
| `orchestration_path.parent` | object |  |  |
| `orchestration_path.parent.id` |  |  | ID of the Global Event Orchestration these Global Rules belongs to. |
| `orchestration_path.parent.type` |  |  | One of: `event_orchestration_reference`. |
| `orchestration_path.sets` |  |  | You must define at least a "start" set, but you can also define any number of additional sets that are routed to by other rules to form a directional graph. |
| `orchestration_path.catch_all` | object |  | When none of the rules match an event, the event will be routed according to the catch_all settings. |
| `orchestration_path.catch_all.actions` | object |  |  |
| `orchestration_path.catch_all.actions.suppress` | boolean |  | If true, the resulting alert is suppressed. Suppressed alerts will not trigger an incident. |
| `orchestration_path.catch_all.actions.suspend` | integer |  | The number of seconds to suspend the resulting alert before triggering. This effectively pauses incident notifications. If a resolve event arrives before the alert triggers then PagerDuty won't create an incident for this the resulting alert. |
| `orchestration_path.catch_all.actions.drop_event` | boolean |  | If true, this event will be dropped. Dropped events will not trigger or resolve an alert or an incident. Dropped events will not be evaluated against router rules. |
| `orchestration_path.catch_all.actions.priority` | string |  | The ID of the priority you want to set on resulting incident. You can find the list of priority IDs for your account by calling the priorities endpoint. |
| `orchestration_path.catch_all.actions.escalation_policy` | string |  | The ID of the Escalation Policy you want to assign incidents to. Event rules with this action will override the Escalation Policy already set on a Service's settings, with what is configured by this action. |
| `orchestration_path.catch_all.actions.annotate` | string |  | Add this text as a note on the resulting incident. AIOps users can additionally use the {{event}} variable to include elements of the event payload in the note. For PDRP customers, this feature is branded **Signal Intelligence** in the PagerDuty product UI. The API field names and values (e.g. `aiops`) are unchanged. |
| `orchestration_path.catch_all.actions.severity` | string |  | Set the severity of the resulting alert. One of: `info`, `error`, `warning`, `critical`. |
| `orchestration_path.catch_all.actions.event_action` | string |  | Set whether the resulting alert status is trigger or resolve. One of: `trigger`, `resolve`. |
| `orchestration_path.catch_all.actions.variables` | array of object |  | Populate variables from event payloads and use those variables in other event actions. |
| `orchestration_path.catch_all.actions.variables[].name` | string |  | The name of the variable. |
| `orchestration_path.catch_all.actions.variables[].path` | string |  | Path to a field in an event, in dot-notation. |
| `orchestration_path.catch_all.actions.variables[].type` | string |  | The type of operation to populate the variable. Currently only Regex-based variable extraction is supported. One of: `regex`. |
| `orchestration_path.catch_all.actions.variables[].value` | string |  | A RE2 regular expression. If it contains one or more capture groups, their values will be extracted and appended together. If it contains no capture groups, the whole match is used. |
| `orchestration_path.catch_all.actions.extractions` | array of one of: object \| object |  | Dynamically extract values to set and modify new and existing PD-CEF fields. |
| `orchestration_path.catch_all.actions.extractions[].target` | string |  | (option 1) The PD-CEF field that will be set with the value from the template. |
| `orchestration_path.catch_all.actions.extractions[].template` | string |  | (option 1) A value that will be used to populate the target PD-CEF field. You can include variables extracted from the payload by using string interpolation. |
| `orchestration_path.catch_all.actions.extractions[].target` | string |  | (option 2) The PD-CEF field that will be set with the value from the regex. |
| `orchestration_path.catch_all.actions.extractions[].regex` | string |  | (option 2) A RE2 regular expression. If it contains one or more capture groups, their values will be extracted and appended together. If it contains no capture groups, the whole match is used. |
| `orchestration_path.catch_all.actions.extractions[].source` | string |  | (option 2) The path to the event field where the regex will be applied to extract a value. |
| `orchestration_path.catch_all.actions.automation_actions` | array of object |  | Create a Webhoook associated with the resulting incident. |
| `orchestration_path.catch_all.actions.automation_actions[].name` | string |  | The name of the Webhook. |
| `orchestration_path.catch_all.actions.automation_actions[].url` | string |  | The API endpoint where PagerDuty's servers will send the webhook request. |
| `orchestration_path.catch_all.actions.automation_actions[].auto_send` | boolean |  | When true, PagerDuty's servers will automatically send this webhook request as soon as the resulting incident or alert is created. When false, your incident responder will be able to manually trigger the Webhook via the PagerDuty website & mobile app. Default: `false`. |
| `orchestration_path.catch_all.actions.automation_actions[].headers` | array of object |  | Specify custom key/value pairs that'll be sent with the webhook request as request headers. |
| `orchestration_path.catch_all.actions.automation_actions[].headers[].key` | string |  |  |
| `orchestration_path.catch_all.actions.automation_actions[].headers[].value` | string |  | AIOps users can additionally use the {{event}} variable to include elements of the event payload in the header value. For PDRP customers, this feature is branded **Signal Intelligence** in the PagerDuty product UI. The API field names and values (e.g. `aiops`) are unchanged. |
| `orchestration_path.catch_all.actions.automation_actions[].trigger_types` | array of string |  | The Webhook will be associated (or automatically triggered, if `auto_send` is `true`) with the incident, whenever an alert reaches the specified state Note: `auto_send` must be `true` for trigger types of `alert_suppressed` and `alert_suspended` Min items: 1. Max items: 1. Items must be unique. |
| `orchestration_path.catch_all.actions.automation_actions[].parameters` | array of object |  | Specify custom key/value pairs that'll be included in the webhook request's JSON payload. |
| `orchestration_path.catch_all.actions.automation_actions[].parameters[].key` | string |  |  |
| `orchestration_path.catch_all.actions.automation_actions[].parameters[].value` | string |  | AIOps users can additionally use the {{event}} variable to include elements of the event payload in the parameter value. |
| `orchestration_path.catch_all.actions.incident_custom_field_updates` | array of object |  | Configure custom field updates for the incident. |
| `orchestration_path.catch_all.actions.incident_custom_field_updates[].id` | string |  | Unique identifier for the custom field resource. You can find the list of IDs by calling the List Custom Fields endpoint. |
| `orchestration_path.catch_all.actions.incident_custom_field_updates[].value` | string |  | A value that will be used to populate the specified Incident Custom Field. AIOps users can additionally use the {{event}} variable to include elements of the event payload in the custom field value. For PDRP customers, this feature is branded **Signal Intelligence** in the PagerDuty product UI. The API field names and values (e.g. `aiops`) are unchanged. |
| `warnings` | array of one of: object \| object |  |  |
| `warnings[].message` | string |  | (option 1) A description of the warning and any potential side effects. |
| `warnings[].rule_id` | string |  | (option 1) The ID of the rule using the feature. |
| `warnings[].feature` | string |  | (option 1) The feature that the current account plan does not have access to. Example values include: * `threshold_condition` * `nested_rules` * `suspend` * `automation_actions` * `cache_variable:automation_actions` * `cache_variable:annotate` * `variables` * `interpolation:annotate` * `interpolation:extractions` * `interpolation:incident_custom_field_updates` * `suppress` * `incident_custom_field_updates` * `dynamic_route_to` * `escalation_policy` * `aiops_routing_mismatch` |
| `warnings[].feature_type` | string |  | (option 1) Specifies whether the feature is a part of the rule's conditions, or its actions. Example values include: * `conditions` * `actions` * `nested_rules` * `global_orchestrations` * `aiops_routing` For PDRP customers, this feature is branded **Signal Intelligence** in the PagerDuty product UI. The API field names and values (e.g. `aiops_routing_mismatch`, `aiops_routing`) are unchanged. |
| `warnings[].warning_type` | string |  | (option 1) The type of warning that is being returned for the rule. One of: `forbidden_feature`, `invalid_routing`. |
| `warnings[].message` | string |  | (option 2) A description of the warning and any potential side effects. |
| `warnings[].rule_id` | string |  | (option 2) The ID of the rule using the feature. |
| `warnings[].feature` | string |  | (option 2) The feature that includes invalid data. Example values include: * `incident_custom_field_updates` * `escalation_policy` * `cache_variable:annotate` * `cache_variable:conditions` * `cache_variable:automation_actions` |
| `warnings[].feature_type` | string |  | (option 2) Specifies the feature type of the impacted item. Example values include: * `actions` * `conditions` |
| `warnings[].warning_type` | string |  | (option 2) The type of warning that is being returned for the rule. One of: `invalid_data`. |

Example: Example Response

```json
{
  "orchestration_path": {
    "type": "global",
    "parent": {
      "id": "b02e973d-9620-4e0a-9edc-00fedf7d4694",
      "self": "https://api.pagerduty.com/event_orchestrations/b02e973d-9620-4e0a-9edc-00fedf7d4694",
      "type": "event_orchestration_reference"
    },
    "self": "https://api.pagerduty.com/event_orchestrations/b02e973d-9620-4e0a-9edc-00fedf7d4694/global",
    "sets": [
      {
        "id": "start",
        "rules": [
          {
            "label": "Always apply some consistent event transformations to all events",
            "id": "c91f72f3",
            "conditions": [],
            "actions": {
              "variables": [
                {
                  "name": "hostname",
                  "path": "event.component",
                  "value": "hostname: (.*)",
                  "type": "regex"
                }
              ],
              "extractions": [
                {
                  "template": "{{variables.hostname}}",
                  "target": "event.custom_details.hostname"
                },
                {
                  "source": "event.source",
                  "regex": "www (.*) service",
                  "target": "event.source"
                }
              ],
              "incident_custom_field_updates": [
                {
                  "id": "PEXCK89",
                  "value": "#my-team-channel"
                },
                {
                  "id": "PN1C4A2",
                  "value": "{{event.timestamp}}"
                }
              ],
              "route_to": "step-two"
            }
          }
        ]
      },
      {
        "id": "step-two",
        "rules": [
          {
            "label": "All critical alerts should be treated as P1 incidents",
            "id": "7c54529d",
            "conditions": [
              {
                "expression": "event.severity matches 'critical'"
              }
            ],
            "actions": {
              "priority": "P0IN2KQ",
              "suppress": false,
              "incident_custom_field_updates": [
                {
                  "id": "PEXCK89",
                  "value": "#p1-incident-response"
                }
              ]
            }
          },
          {
            "label": "Drop all events from the very-noisy monitoring tool",
            "id": "1f6d9a33",
            "conditions": [
              {
                "expression": "event.source matches part 'very-noisy'"
              }
            ],
            "actions": {
              "drop_event": true
            }
          },
          {
            "label": "Assign all database related incidents to the Database Team's escalation policy",
            "id": "4314d9ce",
            "conditions": [
              {
                "expression": "event.source matches 'prod-db'"
              }
            ],
            "actions": {
              "escalation_policy": "PEYSGVF"
            }
          },
          {
            "label": "Never bother the on-call for info-level events outside of work hours",
            "id": "cd770384",
            "conditions": [
              {
                "expression": "event.severity matches 'info' and not (now in Mon,Tue,Wed,Thu,Fri 09:00:00 to 17:00:00 America/Los_Angeles)"
              }
            ],
            "actions": {
              "suppress": true
            }
          }
        ]
      }
    ],
    "catch_all": {
      "actions": {
        "suppress": true,
        "incident_custom_field_updates": [
          {
            "id": "PEXCK89",
            "value": "#general-incident-notifications"
          }
        ]
      }
    },
    "created_at": "2021-11-18T16:42:01Z",
    "created_by": {
      "id": "P8B9WR8",
      "self": "https://api.pagerduty.com/users/P8B9WR8",
      "type": "user_reference"
    },
    "updated_at": "2021-11-18T16:42:01Z",
    "updated_by": {
      "id": "P8B9WR8",
      "self": "https://api.pagerduty.com/users/P8B9WR8",
      "type": "user_reference"
    },
    "version": "rn1Mja13T1HBdmPChqFilSQXUW2fWXM_"
  },
  "warnings": [
    {
      "feature": "nested_rules",
      "feature_type": "nested_rules",
      "message": "This orchestration contains Nested Rules, which is not available on your account plan. The orchestration will be updated, however, only rules in the 'start' set will be evaluated",
      "rule_id": null,
      "warning_type": "forbidden_feature"
    },
    {
      "feature": "variables",
      "feature_type": "actions",
      "message": "This rule uses Dynamic Field Enrichment & Extraction, which is an action not available on your account plan. The rule will be updated, but the action will not be fired when the rule is evaluated",
      "rule_id": "c91f72f3",
      "warning_type": "forbidden_feature"
    },
    {
      "feature": "extractions",
      "feature_type": "actions",
      "message": "This rule uses Dynamic Field Enrichment & Extraction, which is an action not available on your account plan. The rule will be updated, but the action will not be fired when the rule is evaluated",
      "rule_id": "c91f72f3",
      "warning_type": "forbidden_feature"
    },
    {
      "feature": "recurring_condition",
      "feature_type": "conditions",
      "message": "This rule uses Recurring Condition, which is a condition not available on your account plan. The rule will be updated, but it will not be evaluated by events",
      "rule_id": "cd770384",
      "warning_type": "forbidden_feature"
    },
    {
      "feature": "incident_custom_field_updates",
      "feature_type": "actions",
      "message": "This rule uses Incident Custom Field update, which is an action not available on your account plan. The rule will be updated, but the action will not be fired when the rule is evaluated",
      "rule_id": "c91f72f3",
      "warning_type": "forbidden_feature"
    }
  ]
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 405

The request was received and recognized by the server, but its HTTP method was rejected for the requested resource.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 409

The request conflicts with the current state of the server.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
